package com.fjhx.sale.mapper.pack;

import com.fjhx.sale.entity.pack.po.PackProductProduct;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.pack.vo.PackProductProductVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 装箱出货产品明细表 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-18
 */
public interface PackProductProductMapper extends BaseMapper<PackProductProduct> {

    /**
     * 装箱出货产品明细表分页
     */
    Page<PackProductProductVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<PackProductProduct> wrapper);

}
