package com.fjhx.sale.service.pack;

import com.fjhx.sale.entity.pack.po.PackProductProduct;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.pack.vo.PackProductProductVo;
import com.fjhx.sale.entity.pack.dto.PackProductProductSelectDto;
import com.fjhx.sale.entity.pack.dto.PackProductProductDto;


/**
 * <p>
 * 装箱出货产品明细表 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-18
 */
public interface PackProductProductService extends BaseService<PackProductProduct> {

    /**
     * 装箱出货产品明细表分页
     */
    Page<PackProductProductVo> getPage(PackProductProductSelectDto dto);

    /**
     * 装箱出货产品明细表明细
     */
    PackProductProductVo detail(Long id);

    /**
     * 装箱出货产品明细表新增
     */
    void add(PackProductProductDto packProductProductDto);

    /**
     * 装箱出货产品明细表编辑
     */
    void edit(PackProductProductDto packProductProductDto);

    /**
     * 装箱出货产品明细表删除
     */
    void delete(Long id);

}
